Skip to main content
POST
POST /api/approvals/{approvalId}/resolve

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

approvalId
string
required

Body

application/json
decision
enum<string>
required
Available options:
approved,
denied
scope
enum<string>
default:once
Available options:
once,
always
note
string
Maximum string length: 2000
grant
enum<string>
Available options:
run,
chat,
day,
toolkit
callBrief
object

Response

Success

id
string<uuid>
required
botId
string<uuid>
required
conversationId
string<uuid> | null
required
runId
string<uuid> | null
required
kind
enum<string>
required
Available options:
shell-command,
mcp-tool-call,
sandbox-command,
outbound-message,
secret-request,
spend-request,
bot-create
toolName
string
required
Required string length: 1 - 128
title
string
required
Required string length: 1 - 200
detail
object
required
status
enum<string>
required
Available options:
pending,
approved,
denied
scope
enum<string> | null
required
Available options:
once,
always
note
string | null
required
Maximum string length: 2000
requestedAt
string<date-time>
required
resolvedAt
string<date-time> | null
required
runGrant
boolean